Create a database branch
post
/v1/projects/{ref}/branchesCreates a database branch from the specified project.
OAuth scopes
- environment:write
The fine-grained token must include the following permissions to access this endpoint:
- branching_development_create
- or
- branching_production_create
Path parameters
- refRequiredstring
Project ref
Body
- branch_nameRequiredstring
- git_branchOptionalstring
- is_defaultOptionalboolean
- persistentOptionalboolean
- regionOptionalstring
- desired_instance_sizeOptionalenum
- release_channelOptionalenum
- postgres_engineOptionalenum
- secretsOptionalobject
- with_dataOptionalboolean
- notify_urlOptionalstring
Response codes
- 201
- 500
Response (201)
1{2 "id": "00000000-0000-0000-0000-000000000000",3 "name": "lorem",4 "project_ref": "lorem",5 "parent_project_ref": "lorem",6 "is_default": true,7 "git_branch": "lorem",8 "pr_number": -9007199254740991,9 "latest_check_run_id": 42,10 "persistent": true,11 "status": "CREATING_PROJECT",12 "created_at": "4404-02-29T04:24Z",13 "updated_at": "4404-02-29T04:24Z",14 "review_requested_at": "4404-02-29T04:24Z",15 "with_data": true,16 "notify_url": "https://github.com/NeuraLegion/brokencrystals",17 "deletion_scheduled_at": "4404-02-29T04:24Z",18 "preview_project_status": "INACTIVE"19}